#include <bits/stdc++.h>

using namespace std;

bool sgn(int a, int b)
{
    if ((a >= 0 && b >= 0) || (a < 0 && b < 0))
        return true;
    return false;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);

    int n, m;
    cin >> n >> m;
    long long a[n];
    for (int i = 0; i < n; i++)
    {
        cin >> a[i];
    }
    vector<pair<int, int>> p;
    for (int i = 0; i < m; i++)
    {
        int x, y;
        cin >> x >> y;
        pair<int, int> k = make_pair(x, y);
        p.push_back(k);
    }
    long long sreca = 0;

    for (int i = 0; i < m; i++)
    {
        pair<int, int> pr = p[i];
        if (sgn(a[pr.first], a[pr.second]))
        {
            sreca += abs(a[pr.first]);
            sreca += abs(a[pr.second]);
        }
        else
        {
            if (abs(a[pr.first]) > abs(a[pr.second]))
            {
                sreca += abs(a[pr.first]);
                sreca -= abs(a[pr.second]);
            }
            else
            {
                sreca -= abs(a[pr.first]);
                sreca += abs(a[pr.second]);
            }
        }
    }
    cout << sreca;
    return 0;
}